/***************************************************************************************
 *	File :	  common.h
 *	Company : PDADevelopers.com
 *	Author :  Diego Belfer 
 *	Last Revision : 28/09/2003 (dd/mm/yyyy)
 *	Comments : Global definitions used by all samples
 ***************************************************************************************/

#ifndef _INC_samples_common
#define _INC_samples_common

#include "types.h"

#define dataCount 3
#define SAMPLE_BUFFER_SIZE 16000

struct ClientRecord {
	char *id;
	char *name;
	char *company;
	char *info;
	struct {
		char *street;
		char *zip;
	} address;
};

#ifndef COMMON_CODE
extern ClientRecord data[];
extern char sampleBuffer[]; 
#else
ClientRecord data[];
char sampleBuffer[]; 
#endif


void oprint(char *text);
void oprintln(char *text);
void oprint(uint value);
void oprintln(uint value);

#endif